[Haskell-cafe] Simple script to make existing GHC or HP installation work with Xcode 5

Mark Lentczner mark.lentczner at gmail.com
Thu Oct 31 07:04:35 UTC 2013

Friends -

I've developed a simple shell script that should enable your existing GHC
7. or HP installation work with Xcode 5.


Place that script somewhere, make it executable, and run it.
*Then follow the instructions it tells you!*
You will end up having to run it more than once:

First time it will tell you where to install a copy of the script

Second time it will patch your GHC settings file(s)

The script is safe to install and setup before you upgrade to Xcode 5, as
it reverts to "getting out of the way" if it detects Xcode 4 based

It has been tested on two machines:

   - OS X 10.8 and Xcode 4
   - OS X 10.9 and Xcode 5

If a few more intrepid souls test it and it works, I'll post instructions
in more prominent places!
I'll be testing OS X 10.9 and Xcode 4, tomorrow, and expect it should work
fine on OS X10.8 with Xcode 5. But looking for reports that it all works.

- Mark "Mac Packager" Lentczner
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/haskell-cafe/attachments/20131031/70a7504a/attachment.html>

More information about the Haskell-Cafe mailing list